// pages/shopCategory/shopCategory.js

var http = require('../../utils/http.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    shopInfo: {},
    shopCategoryList: [],
    selIndex: 0,
    prodList:[],
    shopCategoryId: 0, 
    pages: 0,
    current: 1,
  },

  // 跳转店内搜索页
  toShopSearchPage: function(e) {
    wx.navigateTo({
      url: '/pages/shopSearch/shopSearch?shopId=' + e.currentTarget.dataset.shopid,
    })
  },

  // 分类点击事件
  onMenuTab: function(e) {
    let categoryId = e.currentTarget.dataset.categoryid;
    const { index } = e.currentTarget.dataset;
    this.setData({
      selIndex: index,
      shopCategoryId: categoryId,
      current: 1,
      pages: 0
    });
    this.getProdListByCategoryId()
  },

  // 获取店内分类列表
  getShopCategory: function() {
    let shopId = this.data.shopInfo.shopId
    var params = {
      url: '/category/categoryInfo',
      method: 'GET',
      data: {
        shopId
      },
      callBack: (res) => {
        this.setData({
          shopCategoryList:res,
          shopCategoryId: res[0].categoryId
        })
        this.getProdListByCategoryId()
      }
    }
    http.request(params)
  },

  // 根据店铺分类id获取商品
  getProdListByCategoryId(){
    var params = {
      url:'/search/searchProdPage',
      method:'GET',
      data:{
        shopCategoryId: this.data.shopCategoryId,
        shopId: this.data.shopInfo.shopId,
        current: this.data.current,
        size:10,
        sort:0,
        isAllProdType: true,
      },
      callBack:res=>{
        this.setData({
          prodList: res.current == 1 ? res.records : this.data.prodList.concat(res.records),
          current: res.current,
          pages: res.pages
        })
      }
    }
    http.request(params)
  },

    // scroll-view 触底事件
    getNextPage () {
      if (this.data.current < this.data.pages) {
        this.setData({
          current: this.data.current + 1
        })
        this.getProdListByCategoryId()
      }
    },

  // 跳转商品详情页
  toProdPage: function(e) {
    var prodid = e.currentTarget.dataset.prodid;
    wx.navigateTo({
      url: '/pages/prod/prod?prodid=' + prodid,
    })
  },

    /**
   * 跳转店铺详情
   */
  toShopInfo() {
    wx.navigateTo({
      url: '/pages/shopInfo/shopInfo?shopId=' + this.data.shopInfo.shopId,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.setData({
      shopInfo: wx.getStorageSync("shopInfo")
    })
    this.getShopCategory()
    this.getProdListByCategoryId()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})